--[[
************************************************************************
Project				: SKG
Author				: zhinjio
Project Revision	: r132
Project Date		: 20090128093415

File				: MainFrame.lua
Commit Author		: zhinjio
Commit Revision		: 132
Commit Date			: 20090128093415
************************************************************************
Description	:
	Creation routines and handlers for the main frame. Includes the
	button launchers for other frames as well. I want this to also hook
	into the modules (based on security) that will add additional
	launchers based on security level.
	
TODO		:

************************************************************************
(see bottom of file for changelog)
************************************************************************
--]]
local MODNAME = "SKG"
local FULLNAME = MODNAME
local SKG = LibStub( "AceAddon-3.0" ):GetAddon( MODNAME, "AceEvent-3.0" )
local L = LibStub:GetLibrary( "AceLocale-3.0" ):GetLocale( MODNAME )

local addon = SKG

-- Frame Creation stuff
function addon.MainFrame_Create()
	addon.MainFrame = addon.myCreateFrame( 
		"MainFrame", UIParent, 200, 450, true, true, 
		"TOPLEFT", UIParent, "TOPLEFT", 500, -100,
		true, "DIALOG", 3, 
		"Interface\\WorldMap\\UI-WorldMap-Middle3", "Interface\\DialogFrame\\UI-DialogBox-Gold-Border",
		"B17D4F", 1, "FFFFFF", 1 )
	addon.MainFrame:SetHitRectInsets( 4, 4, 4, 4 )
	addon.MainFrame:RegisterForDrag( "LeftButton" )
	addon.MainFrame:SetScript( "OnDragStart",
		function(this)
			this:StartMoving()
		end
	)
	addon.MainFrame:SetScript( "OnDragStop", 
		function(this)
			local db = SKG.db.profile.Options.General
			this:StopMovingOrSizing()
			db.xPos = this:GetLeft()
			db.yPos = this:GetTop()
		end
	)
		
	addon.MF_ButtonTab = addon.myCreateFrame(
		"MF_ButtonTab", addon.MainFrame, 65, 290, true, false,
		"TOPLEFT", addon.MainFrame, "TOPRIGHT", -20, -1,
		false, "DIALOG", 1,
		"Interface\\AchievementFrame\\UI-Achievement-Parchment", "",
		"FFFFFF", 1, "D49359", 1 )
	addon.buttontabVisible = true
	
	addon.MF_expandBT = addon.myCreateButton(
		"MF_expandBT", addon.MainFrame, 24, 24,
		"TOPRIGHT", addon.MF_ButtonTab, "TOPRIGHT", -2, -2,
		"", "", "", "", L["TT_EXPAND_BUTTONTAB"],
		1, 3 )
	addon.MF_expandBT:SetScript( "OnClick", function ( this )
		if ( addon.buttontabVisible == true ) then
			this.rotate = ( 1 * 90 )
			this.tex:SetTexCoord(unpack(addon.angles[this.rotate]))
			addon.MF_ButtonTab:SetPoint( "TOPLEFT", addon.MainFrame, "TOPRIGHT", -59, -1 )
			this:SetPoint( "TOPRIGHT", addon.MF_ButtonTab, "TOPRIGHT", -8, -2 )
			addon.buttontabVisible = false
		else
			this.rotate = ( 3 * 90 )
			this.tex:SetTexCoord(unpack(addon.angles[this.rotate]))
			addon.MF_ButtonTab:SetPoint( "TOPLEFT", addon.MainFrame, "TOPRIGHT", -20, -1 )
			this:SetPoint( "TOPRIGHT", addon.MF_ButtonTab, "TOPRIGHT", -2, -2 )
			addon.buttontabVisible = true
		end
	end )
	addon.MF_TitleFrame = addon.myCreateFrame( 
		"MF_TitleFrame", addon.MainFrame, 170, 110, true, false,
		"BOTTOM", addon.MainFrame, "TOP", 0, -10,
		false, "DIALOG", 1,
		"", "",
		"371408", 1, "D49359", 1 )
	addon.MFT_SKG = addon.MF_TitleFrame:CreateFontString( "MFT_SKG", "OVERLAY", "GameFontHighlight" )
		addon.MFT_SKG:SetText( "Suicide Kings Geo" )
		addon.MFT_SKG:SetPoint( "TOP", addon.MF_TitleFrame, "TOP", 0, -5 )
		addon.MFT_SKG:SetHeight( 14 )
		addon.MFT_SKG:SetWidth( 160 )
	addon.MFT_version = addon.MF_TitleFrame:CreateFontString( "MFT_version", "OVERLAY", "GameFontNormal" )
		addon.MFT_version:SetText( L["Version : "], addon.version )
		addon.MFT_version:SetPoint( "TOP", addon.MF_TitleFrame, "TOP", 0, -20 )
		addon.MFT_version:SetHeight( 14 )
		addon.MFT_version:SetWidth( 160 )
		
		
end		
--[[
************************************************************************
CHANGELOG:

Date : 1/25/09
	Rewrite begins
************************************************************************
]]--